## gpe-ownerinfo 0.28

=== Makefile ===
PACKAGE = gpe-ownerinfo
VERSION = 0.28
PREFIX = /usr/local
DEBUG = no
CVSBUILD = no
ENABLE_NLS = yes

LINGUAS = de hu id pt pt_BR fr zh_TW ro sv nl sk cs ru sr es zh_CN vi fi tr

LIB_TARGET = libgpe-ownerinfo.a
LIB_MEMBERS = $(PACKAGE)
MEMBERS = main

PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS) -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"
PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS)
PACKAGE_LDFLAGS += $(STANDARD_LDFLAGS) $(GPELIBS)

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

ifeq ($(ENABLE_NLS),yes)
PACKAGE_CFLAGS += -DENABLE_NLS
endif


.SUFFIXES: .d
.PHONY: all-mo install-mo update-po extract-po clean-po translation-package dist dist-prep ipkg dpkg printinfo tag

OBJS = $(patsubst %,%.o,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS) $(LIB_MEMBERS))
LIB_OBJS = $(patsubst %,%.o,$(LIB_MEMBERS))
LIB_SOURCES = $(patsubst %,%.c,$(LIB_MEMBERS))

DEPS = $(patsubst %,%.d,$(MEMBERS) $(LIB_MEMBERS))

all: $(PACKAGE) all-mo

$(LIB_TARGET): $(LIB_OBJS)
	rm -f $@
	ar cq $@ $^

$(PACKAGE): $(OBJS) $(LIB_TARGET)
	$(CC) -o $@ $^ $(LDFLAGS) $(PACKAGE_LDFLAGS) -L. -lgpe-ownerinfo

install-program: all 
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)/etc/gpe/
	
install-devel: 
	install -d $(DESTDIR)/$(PREFIX)/include
	install -m644 gpe-ownerinfo.h $(DESTDIR)/$(PREFIX)/include/gpe-ownerinfo.h
	install -d $(DESTDIR)/$(PREFIX)/lib
	install -m755 $(LIB_TARGET) $(DESTDIR)/$(PREFIX)/lib/$(LIB_TARGET)

clean: clean-po
	rm -f $(PACKAGE) $(OBJS) $(DEPS) $(LIB_OBJS) $(LIB_TARGET)

distclean: clean
	rm -rf familiar/dist/

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

-include $(DEPS)

=== debian/changelog ===
gpe-ownerinfo (0.28-3) unstable; urgency=low

  * Move to source format 3 for quilt support (Closes: #609645)

 -- Neil Williams <codehelp@debian.org>  Sun, 13 Mar 2011 15:50:20 +0000

gpe-ownerinfo (0.28-2) unstable; urgency=low

  * Add -lX11 and test with Wl,--no-add-needed. (Closes: #554731)
  * Add pkg-gpe vcs fields

 -- Neil Williams <codehelp@debian.org>  Wed, 23 Dec 2009 16:14:51 +0000

gpe-ownerinfo (0.28-1) unstable; urgency=low

  * Initial release (Closes: #453300) ITP: gpe-ownerinfo -- access the
    device owner information in GPE - Debian Bug report logs

 -- Neil Williams <codehelp@debian.org>  Thu, 29 Nov 2007 20:30:27 +0000

=== debian/control ===
Source: gpe-ownerinfo
Section: embedded
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>, Moray Allan <moray@debian.org>,
 Phil Blundell <pb@debian.org>, Philippe De Swert <philippedeswert@scarlet.be>
Build-Depends: cdbs, debhelper (>= 5), libgpewidget-dev, libglib2.0-dev
Standards-Version: 3.9.1
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/gpe-login/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/gpe-login/trunk/

Package: gpe-ownerinfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: details of the GPE device owner
 Used by the G Palmtop Environment (GPE).

Package: gpe-ownerinfo-dev
Architecture: any
Depends: ${misc:Depends}, libgpewidget1, libglib2.0-0
Description: access the device owner information 
 Contains a static library used by gpe-login
 to display details of the owner of the device
 .
 Used by the G Palmtop Environment (GPE).

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

common-install-arch::
	$(MAKE) install DESTDIR=debian/gpe-ownerinfo/ PREFIX=usr
	$(MAKE) install-devel DESTDIR=debian/gpe-ownerinfo-dev/ PREFIX=usr
	$(MAKE) install-program DESTDIR=debian/gpe-ownerinfo/ PREFIX=usr

=== debian/watch ===
version=3

http://gpe.linuxtogo.org/download/source/gpe-ownerinfo-(.*)\.tar\.gz
